package com.supervision.constant;

import lombok.Getter;

import java.util.Objects;
@Getter
public enum ScoreEnum {
    EVIDENCE_NOT_FULL("1","证据不足", "证据不充分，司法机关会作出绝对不起诉或存疑不起诉的决定"),
    EVIDENCE_LACK("2","事实不清", "案件事实不清、证据不足，司法机关认定意见不一致的概率较大"),
    EVIDENCE_FULL("3","证据充分", "判定证据较充分，司法机关对案件形成一致认定意见的概率较大");

    private final String code;
    private final String name;
    private final String desc;

    ScoreEnum(String code,String name, String desc) {
        this.code = code;
        this.name = name;
        this.desc = desc;
    }

    public static ScoreEnum getScoreEnum(Integer score) {
        if (Objects.isNull(score)){
            return EVIDENCE_NOT_FULL;
        }

        if (score < 50){
            return EVIDENCE_NOT_FULL;
        }

        if (score <= 70){
            return EVIDENCE_LACK;
        }

        return EVIDENCE_FULL;
    }
}
