package com.supervision.demo.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 所有指标0
 * @TableName model_metric
 */
@TableName(value ="model_metric")
@Data
public class ModelMetric implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 指标编码
     */
    private String metricCode;

    /**
     * 指标ID
     */
    private Integer metricId;

    /**
     * 分数
     */
    private Integer score;

    /**
     * 指标名称
     */
    private String metricName;

    /**
     * 判定符合的描述
     */
    private String metricTrueDesc;

    /**
     * 判定为不符合的原因
     */
    private String metricFalseDesc;

    /**
     * 模型详情模板,一个新的尝试
     */
    private String metricDetailTemplate;

    /**
     * 例子(具体的例子)
     */
    private String example;

    /**
     * 跑出来的结果
     */
    private String result;

    /**
     * 新的结果
     */
    private String newResult;

    /**
     * 指标详细描述
     */
    private String metricDesc;

    /**
     * 指标类型 0共性指标 1入罪指标 2出罪指标
     */
    private Integer metricType;

    /**
     * 提示词模板
     */
    private String promptTemplate;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}