package com.supervision.demo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import lombok.Data;

/**
 * 案件执行验证结果
 *
 * @TableName note_check_record
 */
@TableName(value = "note_check_record")
@Data
public class NoteCheckRecord implements Serializable {
    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 案件名称
     */
    private String caseName;

    /**
     * 人员名称
     */
    private String personName;

    /**
     * 笔录名称
     */
    private String noteName;

    /**
     * 询问/讯问
     */
    private String type;

    /**
     * 指标编码
     */
    private String metricCode;

    /**
     * 指标名称
     */
    private String metricName;

    /**
     * 系统提示词
     */
    private String systemPrompt;

    /**
     * 提示词内容
     */
    private String prompt;

    /**
     * 结论
     */
    private String result;

    /**
     * 笔录原话
     */
    private String originalContext;

    /**
     * 分析的原因
     */
    private String reason;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}