package com.supervision.minio.controller;

import com.supervision.common.domain.R;
import com.supervision.minio.service.MinioService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import jakarta.servlet.http.HttpServletResponse;
import java.io.IOException;

@RestController
@RequestMapping("minio")
@RequiredArgsConstructor
public class MinioController {

    private final MinioService minioService;

    @PostMapping("/uploadFile")
    public R<String> uploadFile(@RequestPart("file") MultipartFile file) throws IOException {
        String fileId = minioService.uploadFile(file);
        return R.ok(fileId);
    }

    @GetMapping("/downloadFile")
    public void downloadFile(@RequestParam String fileId, HttpServletResponse response) {
        minioService.downloadFile(fileId, response);
    }

    @PostMapping("/delFile")
    public R<?> delFile(@RequestParam String fileId) {
        return minioService.delFile(fileId);
    }

}
