package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 案件证据表
 * @TableName case_evidence
 */
@TableName(value ="case_evidence")
@Data
public class CaseEvidence implements Serializable {
    /**
     * 主键id
     */
    @TableId
    private String id;

    /**
     * 案件id
     */
    private String caseId;

    /**
     * 案件证据名称
     */
    private String evidenceName;

    /**
     * 案件证据类型
     */
    private String evidenceType;

    /**
     * 证据提供人
     */
    private String provider;

    /**
     * 甲方
     */
    private String partyA;

    /**
     * 乙方
     */
    private String partyB;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */

    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}