package com.supervision.police.domain;

import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.io.Serializable;

/**
 * 原子指标表(ModelAtomicIndex)表实体类
 *
 * @author qmy
 * @since 2024-07-05 10:23:11
 */
@Data
@TableName("model_atomic_index")
public class ModelAtomicIndex implements Serializable {

    @TableId
    private String id;
    
    /**
     * 指标名称
     */
    private String name;
    
    /**
     * 指标说明
     */
    private String remark;
    
    /**
     * 案件类型
     */
    private String caseType;


    @TableField(exist = false)
    public String caseTypeName;
    
    /**
     * 指标来源
     */
    private String indexSource;


    @TableField(exist = false)
    public String indexSourceName;
    
    /**
     * 状态
     */
    private String connectStatus;
    
    /**
     * 判断结果
     */
    private String judgeResult;
    
    /**
     * 查询语句
     */
    private String queryLang;
    
    /**
     * 笔录类型
     */
    private String recordType;


    @TableField(exist = false)
    public String recordTypeName;
    
    /**
     * 提示词
     */
    private String prompt;


    @TableField(exist = false)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateStartTime;

    @TableField(exist = false)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateEndTime;
    
    /**
     * 数据状态
     */
    private String dataStatus;


    /**
     * 创建人ID
     */
    private String createUserId;


    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateTime;

}

