package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 角色菜单关联表
 * @TableName system_role_menu_relation
 */
@TableName(value ="system_role_menu_relation")
@Data
public class SystemRoleMenuRelation implements Serializable {
    /**
     * 主键id
     */
    private String id;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 菜单id
     */
    private String menuId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    public SystemRoleMenuRelation() {
    }

    public SystemRoleMenuRelation(String roleId, String menuId) {
        this.roleId = roleId;
        this.menuId = menuId;
    }
}