package com.supervision.police.dto.user;

import com.supervision.police.domain.SystemUser;
import com.supervision.utils.UserUtil;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class UserInfoReqVo {

    @Schema(description = "用户id")
    private String id;

    @Schema(description = "头像ID")
    private String headPicId;

    @Schema(description = "账号")
    private String account;

    @Schema(description = "用户名")
    private String userName;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "手机号")
    private String phoneNum;

    @Schema(description = "账号状态 0正常 1停用")
    private Integer status;

    @Schema(description = "角色ID列表")
    private List<String> roleIdList;

    @Schema(description = "备注")
    private String remark;

    public SystemUser toSystemUser() {
        SystemUser systemUser = new SystemUser();
        systemUser.setId(id);
        systemUser.setHeadPicId(headPicId);
        systemUser.setAccount(account);
        systemUser.setUserName(userName);
        systemUser.setUserPd(password);
        systemUser.setRemark(remark);
        systemUser.setStatus(status);
        systemUser.setUserPd(UserUtil.signPassword(this.getPassword()));
        return systemUser;
    }
}
