package com.supervision.police.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.police.domain.CaseEvidence;
import com.supervision.police.dto.CaseEvidenceDTO;
import com.supervision.police.dto.CaseEvidenceDetailDTO;

import java.util.List;

public interface CaseEvidenceService  extends IService<CaseEvidence> {

    /**
     * 保存案件证据信息
     * @param caseEvidenceDTO 证据信息
     * @return 证据id
     */
    String saveEvidence(CaseEvidenceDTO caseEvidenceDTO);


    /**
     * 更新案件证据信息
     * @param caseEvidenceDTO 证据信息
     * @return 证据id
     */
    String updateEvidence(CaseEvidenceDTO caseEvidenceDTO);

    /**
     * 删除案件证据信息
     * @param evidenceId   证据id
     * @return 是否删除成功 true/false
     */
    boolean deleteEvidence(String evidenceId);

    /**
     * 查询案件证据信息列表
     * @param caseId  案件id
     * @return 证据信息列表
     */
    List<CaseEvidenceDetailDTO> queryEvidenceList(String caseId);

    /**
     * 分页查询案件证据信息列表
     * @param caseId  案件id
     * @param pageNum 每页大小
     * @param pageSize 当前页码
     * @return
     */
    IPage<CaseEvidenceDetailDTO> pageListEvidence(String caseId,String evidenceName, Integer pageNum, Integer pageSize);

    /**
     * 查询案件证据信息详情
     * @param evidenceId  证据id
     * @return 证据信息
     */
    CaseEvidenceDetailDTO queryEvidenceDetail(String evidenceId);
}
