package com.supervision.police.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.common.domain.R;
import com.supervision.police.domain.ComDictionary;
import com.supervision.police.dto.DictionaryByTypeParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author baomidou
 * @since 2022-03-16
 */
public interface ComDictionaryService extends IService<ComDictionary> {

    R<?> findDictionaryInfo(ComDictionary dictionary, Long page, Long size);

    R<?> findDictionaryListByType(DictionaryByTypeParam dictionaryByTypeParam);


    Map<String,String> getDictionaryMap(String type);

    R<?> insertDictionary(ComDictionary dictionary);

    R<?> updateDictionary(ComDictionary dictionary);

    R<?> logicDeleteDictionary(Long id);

    String getName(List<ComDictionary> list, String type, String value);
    String getValue(List<ComDictionary> list, String type, String name);

}
