package com.supervision.police.service;

import com.supervision.police.domain.SystemMenu;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.police.dto.MenuDTO;

import java.util.List;

/**
* @author Administrator
* @description 针对表【system_menu(菜单表)】的数据库操作Service
* @createDate 2024-07-31 11:02:43
*/
public interface SystemMenuService extends IService<SystemMenu> {


    List<MenuDTO> treeMenuList();

    List<MenuDTO> treeMenuList(List<MenuDTO> menuDTOList);

    List<MenuDTO> listMenu();


    /**
     * 根据选中的菜单id过滤菜单
     * @param menuDTOList 菜单列表
     * @param selectMenuIdList 选中的菜单id列表
     * @return
     */
    List<MenuDTO> filterMenuBySelect(List<MenuDTO> menuDTOList, List<String> selectMenuIdList);

}
