package com.supervision.police.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.police.domain.SystemUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.police.dto.user.*;

/**
* @author Administrator
* @description 针对表【system_user(用户表)】的数据库操作Service
* @createDate 2024-07-31 11:02:43
*/
public interface SystemUserService extends IService<SystemUser> {

    LoginResVO login(LoginReqVO reqVO);

    UserInfoDTO getCurrentUser();

    String saveUserInfo(UserInfoReqVo userInfoReqVo);

    void updateUserInfo(UserInfoReqVo userInfoReqVo);

    Boolean deleteUser(String id);

    IPage<UserInfoDTO> list(String userName, String roleId, String roleName, Integer pageNum, Integer pageSize);


    void updateUserStatus(UserStatusReqVo userStatusReqVo);

    boolean changePassWord(String account, String password);
}
