package com.supervision.police.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.police.domain.CaseTaskRecord;
import com.supervision.police.service.CaseTaskRecordService;
import com.supervision.police.mapper.CaseTaskRecordMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* @author Administrator
* @description 针对表【case_task_record(案件任务记录表)】的数据库操作Service实现
* @createDate 2024-07-22 15:16:27
*/
@Service
public class CaseTaskRecordServiceImpl extends ServiceImpl<CaseTaskRecordMapper, CaseTaskRecord>
    implements CaseTaskRecordService{

    @Override
    @Transactional(transactionManager = "dataSourceTransactionManager", rollbackFor = Exception.class,propagation = Propagation.NOT_SUPPORTED)
    public synchronized void  taskCountIncrement(String caseId, String recordId) {
        this.baseMapper.taskCountIncrement(caseId, recordId);
    }

    @Override
    @Transactional(transactionManager = "dataSourceTransactionManager", rollbackFor = Exception.class,propagation = Propagation.NOT_SUPPORTED)
    public synchronized void finishCountIncrement(String caseId, String recordId) {
        this.baseMapper.finishCountIncrement(caseId, recordId);
    }
}




