package com.supervision.demo;

import net.sf.jsqlparser.parser.CCJSqlParserUtil;
import net.sf.jsqlparser.statement.Statement;
import net.sf.jsqlparser.util.TablesNamesFinder;
import net.sf.jsqlparser.JSQLParserException;

import java.util.List;

public class SQLTableExtractor {
    public static void main(String[] args) {
        String sql = "SELECT u.name, o.id FROM users u left JOIN orders o ON u.id = o.user_id WHERE u.id = 1 and u.id in ( select id from people where name = 'dd' )";

        try {
            Statement statement = CCJSqlParserUtil.parse(sql);
            List<String> tableNames = extractTableNames(statement);
            System.out.println("涉及到的表: " + tableNames);
        } catch (JSQLParserException e) {
            System.out.println("SQL解析错误: " + e.getMessage());
        }
    }

    private static List<String> extractTableNames(Statement statement) {
        TablesNamesFinder tablesNamesFinder = new TablesNamesFinder();
        return tablesNamesFinder.getTableList(statement);
    }
}

