package com.supervision.demo;

import com.deepoove.poi.XWPFTemplate;
import com.supervision.police.dto.caseScore.CaseScoreDetailDTO;
import com.supervision.police.service.ModelService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.*;
import java.util.HashMap;

@Slf4j
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class WordRenderTest {

    @Autowired
    private  ModelService modelService;
    public static void main(String[] args) throws FileNotFoundException {
        HashMap<String, Object> data = new HashMap<>();
        data.put("name", "张三");

        // 加载本地模板文件
        InputStream inputStream = new FileInputStream("F:\\out\\测试模板.docx");

        // 渲染模板
        XWPFTemplate template = XWPFTemplate.compile(inputStream).render(data);

        try {
            // 写出到文件
            template.writeAndClose(new FileOutputStream("F:\\out\\output.docx"));
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
    //裴金禄涉嫌合同诈骗案详情-v0.docx

    @Test
    public void test() throws FileNotFoundException {
        CaseScoreDetailDTO caseScoreDetailDTO = modelService.caseScoreDetail("1810902613967384577");
        caseScoreDetailDTO.buildDesc();

        // 加载本地模板文件
        InputStream inputStream = new FileInputStream("F:\\out\\裴金禄涉嫌合同诈骗案详情-v0.docx");

        // 渲染模板
        XWPFTemplate template = XWPFTemplate.compile(inputStream).render(caseScoreDetailDTO);

        try {
            // 写出到文件
            template.writeAndClose(new FileOutputStream("F:\\out\\output.docx"));
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
